
Foreman - Feature #7806

As a user, I would like roles to associate roles with organizations.

10/03/2014 08:21 AM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Users, Roles and Permissions   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1264732 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3704

  

Description

Add taxonomy to Role model and controllers.

Related issues:

Related to Foreman - Feature #15392: Create a 'taxonomy admin' role upon taxo... New 06/13/2016

Related to Foreman - Bug #16461: Role filter is not overriding from CLI and API Closed 09/07/2016

Related to Foreman - Bug #16572: Role with taxonomy with mismatches won't save Duplicate 09/15/2016

Associated revisions

Revision f619eb4d - 08/26/2016 05:33 AM - Marek Hulán

Fixes #7806 - allow taxonomy association on role level

Revision 11c2f026 - 09/08/2016 09:53 AM - Marek Hulán 

Refs #7806 - document roles organizations and locations (#692)

History

#1 - 07/26/2016 05:12 AM - Marek Hulán

- Tracker changed from Bug to Feature

- Assignee set to Marek Hulán

- Bugzilla link set to 1264732

#2 - 07/28/2016 03:14 AM - Marek Hulán

- Target version set to 115

#3 - 07/28/2016 08:19 AM - Marek Hulán

- Target version changed from 115 to 1.6.3

#4 - 07/29/2016 05:38 AM - Marek Hulán

- Related to Feature #15392: Create a 'taxonomy admin' role upon taxonomy creation added

#5 - 07/29/2016 05:39 AM - Marek Hulán

- Status changed from New to Assigned

#6 - 08/04/2016 06:42 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3704 added

#7 - 08/16/2016 09:39 AM - Marek Hulán

- Target version changed from 1.6.3 to 1.6.0
#8 - 08/26/2016 06:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f619eb4dd1336f1780c740aa0431cceb2dbee2aa.

#9 - 08/26/2016 06:09 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#10 - 09/07/2016 05:09 AM - Marek Hulán

- Related to Bug #16461: Role filter is not overriding from CLI and API added

#11 - 09/16/2016 02:52 AM - Dominic Cleal

- Related to Bug #16572: Role with taxonomy with mismatches won't save added
